BeeBridge AIBeeBridge AI
API Reference
Management APISecurity verification
⚠️Compliance notice: Use this project only for lawfully authorized API gateway, internal management, and private deployment scenarios. Follow upstream terms of service, platform rules, regulatory requirements, and content safety requirements.

Get verification methods for an operation

Query available methods for the target scope first. Availability does not validate context or issue an operation proof.

GET
/api/verify/methods
AuthorizationBearer <token>

Use the session access_token returned by password or OAuth sign-in. A PAT cannot manage or create PATs.

In: header

Query Parameters

scopestring

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.beeaicloud.com/api/verify/methods?scope=access_token.generate"
{
  "success": true,
  "message": "string",
  "data": {
    "scope": "string",
    "methods": [
      {
        "method": "string",
        "available": true,
        "reason": "string"
      }
    ],
    "oauth_providers": [
      {
        "slug": "string",
        "name": "string"
      }
    ],
    "password_encryption_enabled": true
  }
}
{
  "success": false,
  "message": "string",
  "code": "string",
  "data": {
    "code": "string"
  }
}
{
  "success": false,
  "message": "string",
  "code": "string",
  "data": {
    "code": "string"
  }
}
{
  "success": false,
  "message": "string",
  "code": "string",
  "data": {
    "code": "string"
  }
}
{
  "success": false,
  "message": "string",
  "code": "string",
  "data": {
    "code": "string"
  }
}

How is this guide?

Get verification methods for an operation | BeeBridge AI